## ros-noetic-cob-supported-robots 0.6.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_supported_robots)

find_package(catkin REQUIRED)

set(robotlist
    cob4-3
    cob4-4
    cob4-5
    cob4-6
    cob4-7
    cob4-8
    cob4-9
    cob4-10
    cob4-11
    cob4-13
    cob4-16
    cob4-18
    cob4-20
    cob4-23
    cob4-24
    cob4-25
    cob4-29
    cob4-30
    raw3-1
    raw3-3
    raw3-5
)

catkin_package(
    CFG_EXTRAS ${PROJECT_NAME}-extras.cmake
)

=== debian/changelog ===
ros-noetic-cob-supported-robots (0.6.17-1focal) focal; urgency=high

  * fix travis badge
  * Merge pull request #31 <https://github.com/ipa320/cob_supported_robots/issues/31> from fmessmer/add_cob4-30_ostwestfalen
    add cob4-30 ostwestfalen
  * add cob4-30 ostwestfalen
  * Merge pull request #30 <https://github.com/ipa320/cob_supported_robots/issues/30> from fmessmer/add_cob4-29_goettingen
    add cob4-29 goettingen
  * add cob4-29 goettingen
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 16 Nov 2022 23:00:00 -0000

ros-noetic-cob-supported-robots (0.6.16-1focal) focal; urgency=high

  * Merge pull request #29 <https://github.com/ipa320/cob_supported_robots/issues/29> from pgehring/add_license
    add LICENSE
  * add LICENSE
  * update travis config
  * Contributors: Felix Messmer, pgehring

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 28 Jul 2022 22:00:00 -0000

ros-noetic-cob-supported-robots (0.6.15-1focal) focal; urgency=high

  * Merge pull request #28 <https://github.com/ipa320/cob_supported_robots/issues/28> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * add noetic jobs
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 27 Sep 2020 22:00:00 -0000

ros-noetic-cob-supported-robots (0.6.14-1focal) focal; urgency=high

  * Merge pull request #27 <https://github.com/ipa320/cob_supported_robots/issues/27> from fmessmer/remove_cob4-22
    remove cob4-22
  * remove cob4-22
  * Merge pull request #26 <https://github.com/ipa320/cob_supported_robots/issues/26> from HannesBachter/add_cob4-23
    add cob4-23
  * add cob4-23
  * Merge pull request #25 <https://github.com/ipa320/cob_supported_robots/issues/25> from fmessmer/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * activate pylint checks from feature branch
  * Merge pull request #24 <https://github.com/ipa320/cob_supported_robots/issues/24> from fmessmer/ci_updates
    [travis] ci updates
  * sort travis.yml
  * add CATKIN_LINT=pedantic
  * update travis.yml
  * catkin_lint fixes
  * Contributors: Felix Messmer, fmessmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-noetic-cob-supported-robots (0.6.13-1focal) focal; urgency=high

  * Merge pull request #23 <https://github.com/ipa320/cob_supported_robots/issues/23> from floweisshardt/migrate/travis_com
    migrate to travis-ci.com
  * migrate to travis-ci.com
  * Merge pull request #22 <https://github.com/ipa320/cob_supported_robots/issues/22> from fmessmer/add_cob4-24
    add cob4-24
  * add cob4-24
  * Contributors: Benjamin Maidel, Florian Weisshardt, floweisshardt, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-noetic-cob-supported-robots (0.6.12-1focal) focal; urgency=high

  * Merge pull request #21 <https://github.com/ipa320/cob_supported_robots/issues/21> from fmessmer/melodify
    [Melodic] add melodic checks
  * add melodic support
  * add cob4-22
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-noetic-cob-supported-robots (0.6.11-1focal) focal; urgency=high

  * Merge pull request #19 <https://github.com/ipa320/cob_supported_robots/issues/19> from fmessmer/add_cob4-25
    add cob4-25
  * add cob4-25
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-noetic-cob-supported-robots (0.6.10-1focal) focal; urgency=high

  * Merge pull request #18 <https://github.com/ipa320/cob_supported_robots/issues/18> from fmessmer/add_cob4-20
    add cob4-20 ipa 340
  * add cob4-20 ipa 340
  * Contributors: Florian Weisshardt, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-noetic-cob-supported-robots (0.6.9-1focal) focal; urgency=high

  * update maintainer
  * Merge pull request #16 <https://github.com/ipa320/cob_supported_robots/issues/16> from ipa-fxm/add_cob4-13_cardiff
    add cob4-13 cardiff
  * Merge pull request #15 <https://github.com/ipa320/cob_supported_robots/issues/15> from ipa-fxm/add_cob4-18_323
    add cob4-18 323
  * add cob4-13 cardiff
  * add cob4-18 323
  * Contributors: Felix Messmer, Florian Weisshardt, fmessmer, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-noetic-cob-supported-robots (0.6.8-1focal) focal; urgency=high

  * Merge pull request #13 <https://github.com/ipa320/cob_supported_robots/issues/13> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #12 <https://github.com/ipa320/cob_supported_robots/issues/12> from ipa-fxm/add_cob4-16_uh
    add cob4-16 uh
  * add cob4-16 uh
  * Merge pull request #11 <https://github.com/ipa320/cob_supported_robots/issues/11> from ipa-fxm/move_cob4-2
    move cob4-2 to unity-robotics
  * move cob4-2 to unity-robotics
  * Merge pull request #10 <https://github.com/ipa320/cob_supported_robots/issues/10> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #6 <https://github.com/ipa320/cob_supported_robots/issues/6> from ipa-fxm/APACHE_license
    use license apache 2.0
  * Merge pull request #9 <https://github.com/ipa320/cob_supported_robots/issues/9> from ipa-fxm/travis_extensions
    Travis extensions
  * add debian jobs
  * remove jade jobs
  * Merge pull request #7 <https://github.com/ipa320/cob_supported_robots/issues/7> from ipa320/ipa-fxm-cob4-11-serodi
    add cob4-11 serodi
  * Merge branch 'indigo_dev' into ipa-fxm-cob4-11-serodi
  * Merge pull request #8 <https://github.com/ipa320/cob_supported_robots/issues/8> from ipa-fmw/feature/cob4-10-tlabs
    add initial config for cob4-10 tlabs
  * add initial config for cob4-10
  * add cob4-11 serodi
  * Update PULL_REQUEST_TEMPLATE.md
  * add pull request template
  * use license apache 2.0


=== debian/control ===
Source: ros-noetic-cob-supported-robots
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/cob_supported_robots
Standards-Version: 3.9.2

Package: ros-noetic-cob-supported-robots
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package contains the list of supported robots within the care-o-bot family.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cob-supported-robots//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
